Subject: Re: [PATCH v10 0/1] wfx: get out from the staging area

From: Jérôme Pouiller <[email-masked]>
Date: Mon, 28 Feb 2022 17:00:56 +0100

+ Rob
+ devicetree

On Saturday 26 February 2022 11:41:41 CET Kalle Valo wrote:
> + jakub
> 
> Jerome Pouiller <[email-masked]> writes:
> 
> > The firmware and the PDS files (= antenna configurations) are now a part of
> > the linux-firmware repository.
> >
> > All the issues have been fixed in staging tree. I think we are ready to get
> > out from the staging tree for the kernel 5.18.
> 
> [...]
> 
> >  rename Documentation/devicetree/bindings/{staging => }/net/wireless/silabs,wfx.yaml (98%)
> 
> I lost track, is this file acked by the DT maintainers now?

Indeed, it seems Greg applied this patch[1] before Rob acked it.
However, the is DT now included in "make dt_binding_check" (because
it is now located in Documentation/devicetree/bindings/) and Rob
haven't raised any red flag.

[1]: https://lore.kernel.org/netdev/[email-masked]/t/

> What I suggest is that we queue this for v5.19. After v5.18-rc1 is
> released I could create an immutable branch containing this one commit.
> Then I would merge the branch to wireless-next and Greg could merge it
> to the staging tree, that way we would minimise the chance of conflicts
> between trees.

Right.

> Greg, what do you think? Would this work for you? IIRC we did the same
> with wilc1000 back in 2020 and I recall it went without hiccups.

-- 
Jérôme Pouiller